Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalEventBusBase.Config<E,P extends Comparable<P>,C,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.local.LocalEventBusBase.Config<E,P,C,S>

Direct Known Subclasses:
  LocalEventBus.Config

Enclosing class:
  LocalEventBusBase<E,P extends Comparable<P>,C,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>

    public static class LocalEventBusBase.Config<E,P extends Comparable<P>,C,S extends EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,S>>

extends Object

Bus configurator.

Constructor Summary
`LocalEventBusBase.Config()`

Method Summary
`HandleStrength` | `getCollectorHandleStrength()`
`Class<E>` | `getEventType()`
`ExecutorService` | `getExecutorService()`
`InferenceFilter<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>[]` | `getInferenceFilters()`
`InferencePolicy` | `getInferencePolicy()`
`Matcher<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>` | `getMatcher()`
`` | `getObservableConverter()`
`StatsCollector` | `getStatsCollector()`
`TimeUnit` | `getStatsTimeUnit()`
`S` | `getStore()`
`boolean` | `isAssertPredicatesBeforePost()`
`void` | `setAssertPredicatesBeforePost(boolean assertPredicatesBeforePost)`
`void` | `setCollectorHandleStrength(HandleStrength collectorHandleStrength)`
`void` | `setEventType(Class<E> eventType)`
`void` | `setExecutorService(ExecutorService executorService)`
`void` | `setInferenceFilter(InferenceFilter<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>... inferenceFilters)`
`void` | `setInferencePolicy(InferencePolicy inferencePolicy)`
`void` | `setMatcher(LocalMatcher<E,P,C,S> matcher)`
`void` | `setObservableConverter( observableConverter)`
`void` | `setStatsCollector(StatsCollector statsCollector)`
`void` | `setStatsTimeUnit(TimeUnit statsTimeUnit)`
`void` | `setStore(S store)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalEventBusBase.Config

    public LocalEventBusBase.Config()

Method Detail

### setStatsCollector

    public void setStatsCollector(StatsCollector statsCollector)

### getStatsCollector

    public StatsCollector getStatsCollector()

### getEventType

    public Class<E> getEventType()

### setEventType

    public void setEventType(Class<E> eventType)

### getStore

    public S getStore()

### setStore

    public void setStore(S store)

### getInferencePolicy

    public InferencePolicy getInferencePolicy()

### setInferencePolicy

    public void setInferencePolicy(InferencePolicy inferencePolicy)

### getExecutorService

    public ExecutorService getExecutorService()

### setExecutorService

    public void setExecutorService(ExecutorService executorService)

### getCollectorHandleStrength

    public HandleStrength getCollectorHandleStrength()

### setCollectorHandleStrength

    public void setCollectorHandleStrength(HandleStrength collectorHandleStrength)

### getObservableConverter

    public  getObservableConverter()

### setObservableConverter

    public void setObservableConverter( observableConverter)

### isAssertPredicatesBeforePost

    public boolean isAssertPredicatesBeforePost()

### setAssertPredicatesBeforePost

    public void setAssertPredicatesBeforePost(boolean assertPredicatesBeforePost)

### getStatsTimeUnit

    public TimeUnit getStatsTimeUnit()

### setStatsTimeUnit

    public void setStatsTimeUnit(TimeUnit statsTimeUnit)

### setInferenceFilter

    public void setInferenceFilter(InferenceFilter<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>... inferenceFilters)

### getInferenceFilters

    public InferenceFilter<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S>[] getInferenceFilters()

### getMatcher

    public Matcher<E,P,C,Long,AbstractEventBus.Handle<E,P,C,Long>,S> getMatcher()

### setMatcher

    public void setMatcher(LocalMatcher<E,P,C,S> matcher)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD